Dotclear

Vous n'êtes pas identifié(e).

Annonce

#76 2013-09-29 06:25:25

gkhan
Membre
Inscription : 2007-01-05
Site Web

Re : erreur d'installation 1.2.8

personne ?

Hors ligne

#77 2013-09-29 07:44:11

nikrou
Membre
Inscription : 2007-10-02
Site Web

Re : erreur d'installation 1.2.8

gkhan a écrit :

J'ai donc ce message d'erreur lorsque je vais sur l'url du blog:

Warning: require(/homez.743/mouchoux/www/dotclear/dotclear//layout/prepend.php) [function.require]: failed to open stream: No such file or directory in /homez.743/mouchoux/www/dotclear/index.php on line 35

Fatal error: require() [function.require]: Failed opening required '/homez.743/mouchoux/www/dotclear/dotclear//layout/prepend.php' (include_path='.:/usr/local/lib/php') in /homez.743/mouchoux/www/dotclear/index.php on line 35


Pour info voici mes fichiers prehend et index:

http://dl.free.fr/iQ0LlU7WY

http://dl.free.fr/rxJXZgQps

une piste?

J'ai parcouru le sujet en diagonale donc excuse moi par avance si j'ai raté un élément.
Où en es-tu précisément ? Tu as une nouvelle installation propre de dotclear 2. Est-elle fonctionnelle ? As-tu réussi à mettre le fichier index.php a la racine de ton hébergement et de la faire pointer vers ton installation dotclear comme suggéré par Mirovinben au message #58 ?

Le thème dotclear de la version 1 ne peut pas fonctionner tel quel dans la version 2. Pas la peine d'essayer.

Nicolas


Je préfère être atteint de parkinson plutôt qu'alzheimer : je prefère renverser un peu de ma bière plutôt qu'oublier de la boire !

Présentez vos photos simplement avec Phyxo !

Hors ligne

#78 2013-09-29 08:32:45

gkhan
Membre
Inscription : 2007-01-05
Site Web

Re : erreur d'installation 1.2.8

Salut Nicolas merci,

Oui j'ai une nouvelle install propre de dc1 et j'ai réussi à faire pointer sur la racine
.

Par contre j'ai effectivement voulu que mon thème que j'avais avant fonctionne en l'état sur la nouvelle installation en copiant collant les ancien fichiers.

Je prend noté que tu m'indiques que cela ne peut pas fonctionner j'ai quand même essayer, basiquement je me suis dis que si je faisait la même install, même version qu'à l'époque pourquoi mes anciens fichiers une fois remis ne referaient pas fonctionner le blog avec la même apparence que jadis....

visiblement ça merdouille pour des raisons qui me dépassent .

En résumé comment sur mon dc1 retrouver mon ancien thème quasi identique , y a t'il une solution ?
merci.

Hors ligne

#79 2013-09-29 08:58:13

nikrou
Membre
Inscription : 2007-10-02
Site Web

Re : erreur d'installation 1.2.8

gkhan a écrit :

En résumé comment sur mon dc1 retrouver mon ancien thème quasi identique , y a t'il une solution ?
merci.

Il faut adapter ton thème pour dotclear 1 à la nouvelle logique de dotclear 2. Ce n'est pas forcément très long mais il faut le faire.

Je ne connais pas tout l'historique. D'où vient ton thème ? Tu l'as fait tout seul, repris quelque part, adapté à partir d'un autre thème ?

Quelle(s) "compétence(s)" as-tu ? En clair, qu'est-ce que tu es capable de faire : html, css, ... ?

J'essaie de te mettre en place le minimum pour que tu puisses avancer mais tu peux commencer à regarder là :
http://fr.dotclear.org/documentation/2. … ces/themes

Le minimum pour que cela fonctionne est un fichier _define.php.


Je préfère être atteint de parkinson plutôt qu'alzheimer : je prefère renverser un peu de ma bière plutôt qu'oublier de la boire !

Présentez vos photos simplement avec Phyxo !

Hors ligne

#80 2013-09-29 09:05:57

Mirovinben
M comme Mathusalem
Lieu : Dole (Jura)
Inscription : 2007-02-06
Site Web

Re : erreur d'installation 1.2.8

gkhan a écrit :

Oui j'ai une nouvelle install propre de dc1 et j'ai réussi à faire pointer sur la racine
(...)
En résumé comment sur mon dc1 retrouver mon ancien thème quasi identique , y a t'il une solution ?
merci.

Dc1 ou Dc2 ? Je suis largué...

En ligne

#81 2013-09-29 09:59:59

gkhan
Membre
Inscription : 2007-01-05
Site Web

Re : erreur d'installation 1.2.8

Attention je suis sous dotclear 1.2.8 pas dotclear 2.

L'idée c'était de réinstaller un dotclear 1.2.8 comme j'avais il y a 2 ans afin de remettre le même thème que j'avais avant, en gros remettre le même blog que j'aurais pas du fermer. D'où la volonté de remettre de dc1 et pas dc2 afin d'espérer avoir exactement la même chose ou a 99%

Hors ligne

#82 2013-09-29 10:11:30

nikrou
Membre
Inscription : 2007-10-02
Site Web

Re : erreur d'installation 1.2.8

gkhan a écrit :

Attention je suis sous dotclear 1.2.8 pas dotclear 2.

L'idée c'était de réinstaller un dotclear 1.2.8 comme j'avais il y a 2 ans afin de remettre le même thème que j'avais avant, en gros remettre le même blog que j'aurais pas du fermer. D'où la volonté de remettre de dc1 et pas dc2 afin d'espérer avoir exactement la même chose ou a 99%

Désolé ça ne m'intéresse pas. Si tu souhaites rester sur une version 1, libre à toi. Sache bien qu'elle n'est plus maintenue.

Lis la documentation avec les liens qu'on t'a donné :)


Je préfère être atteint de parkinson plutôt qu'alzheimer : je prefère renverser un peu de ma bière plutôt qu'oublier de la boire !

Présentez vos photos simplement avec Phyxo !

Hors ligne

#83 2013-09-29 10:22:43

gkhan
Membre
Inscription : 2007-01-05
Site Web

Re : erreur d'installation 1.2.8

Je ne suis pas contre supprimer mon dotclear 1 et mettre un dc2 ok.
Par contre j'aimerais son retrouver mon thème de dc1
et je ne suis pas super à l'aise avec le codage mais je suis persévérant.

Dans ce cadre est tu partant de m'aider. ?

Hors ligne

#84 2013-09-29 12:13:00

Kozlika
Modo dcTeam
Inscription : 2004-05-08
Site Web

Re : erreur d'installation 1.2.8


La documentation : http://doc.dotclear.net/2.0/fulltoc
Le module de recherche du forum : http://www.dotclear.net/forum/search.php ?

Hors ligne

#85 2013-09-29 13:08:34

gkhan
Membre
Inscription : 2007-01-05
Site Web

Re : erreur d'installation 1.2.8

Oui mais pourquoi migrer un blog qui ne fonctionne pas ?
je ne suis pas contre mais quel bénéfice a faire ça plutôt qu'une nouvelle install dc2

Hors ligne

#86 2013-09-30 07:22:37

Kozlika
Modo dcTeam
Inscription : 2004-05-08
Site Web

Re : erreur d'installation 1.2.8

Pour tes données, de deux choses l'une : soit ta base de données est intègre et tu retrouveras tout son contenu dans dc2, soit elle ne l'est pas et tu ne pourras les voir ni en dc1 ni en dc2.

Pour ton thème, le lien que je t'ai donné explique les points sur lesquels il faudra faire des adaptations.

Quoi qu'il en soit, il serait judicieux qu'arrivé à ce stade tu te décides entre rester sur dc1 et chercher à faire fonctionner cette installation ou basculer vers dc2. Je te conseille fortement la seconde option si tu veux disposer d'une appli maintenue, de support et d'entraide ici (plus grand monde n'utilise dc1). Rester sur une version obsolète sur des critères de présentation ne me semble pas *du tout* une décision raisonnable.


La documentation : http://doc.dotclear.net/2.0/fulltoc
Le module de recherche du forum : http://www.dotclear.net/forum/search.php ?

Hors ligne

#87 2013-09-30 07:47:13

gkhan
Membre
Inscription : 2007-01-05
Site Web

Re : erreur d'installation 1.2.8

Ma base est bonne je peux la remonter sur un dc2 et c'est l'option sur e vais prendre sur vos conseils.

Si tout ce passe bien je n'aurais alors plus que le soucis de remettre mon thème , je vais lire le lien que tu m'as
indiqué Kozlika.

Hors ligne

#88 2016-05-27 10:24:25

Clinique Pasteur
Banni(e)
Inscription : 2016-05-27

Re : erreur d'installation 1.2.8

Je me suis fait bannir \o/

Dernière modification par Philippe (2016-05-27 10:35:43)

Hors ligne

Vous n'êtes pas identifié(e).

Pied de page des forums

Sites map